﻿using MediatR;
using System.Collections.Generic;

namespace Correo.PublishedLanguage.Commands
{
    public record SendEmail : IRequest
    {
        public string Subject { get; init; }
        public string Body { get; init; }
        public MailAddress From { get; init; }
        public IEnumerable<MailAddress> To { get; init; }
        public IEnumerable<MailAddress> Cc { get; init; }
        public IEnumerable<MailAddress> Bcc { get; init; }
        public bool IsBodyHtml { get; init; }

        public record MailAddress(string Address, string DisplayName);
    }
}
